# stuff to be implemented externally:
Source10: kmodtool
%define   kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.18-1.2798.fc6}

%define kmod_name acer_acpi
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch ppc
%define smpvar smp
%endif
%ifarch i686 x86_64
%define xenvar xen
%define kdumpvar kdump
%endif
%ifarch i686 x86_64 ppc
%define kdumpvar kdump
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?paevar} %{?xenvar} %{?kdumpvar}}

Name:           %{kmod_name}-kmod
Version:        0.3
Release:        1.%(echo %{kverrel} | tr - _)
Summary:       	Linux kernel module to allow control of Acer Laptops

Group:          System Environment/Kernel
License:        GPL2
URL:            http://www.archernar.co.uk/acer_acpi/acer_acpi_main.html
Source0:        http://www.archernar.co.uk/acer_acpi/acer_acpi-%{version}.tar.gz
Patch0:		acer_acpi-2.6.18fix.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	acer_acpi-kmod-common >= %{version}

%description
Acer_acpi creates entries under /proc/acpi/acer, which enable you to control 
the wireless LAN card, inbuilt Bluetooth adapter, and mail LED of your laptop.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c
%patch0 -p0

## Fix the #include <linux/config.h> - call deprecated since 2.6.18
# from Ville Skyttä - madwifi package.
#grep -rlF '<linux/config.h>' %{kmod_name}-%{version} \
#| xargs sed -i -e 's|<linux/config.h>|<linux/autoconf.h>|'

for kvariant in %{kvariants} ; do
	cp -a %{kmod_name}-%{version} _kmod_build_$kvariant
done

%build
for kvariant in %{kvariants}
do
ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
cd _kmod_build_$kvariant
make \
	KERNDIR="${ksrc}" \
	KERNELRELEASE=%{kverrel}${kvariant}  
cd ..
done

%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
pushd _kmod_build_$kvariant
install -D -m 0644 *.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}/
popd
done
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*


%changelog
* Mon Dec 04 2006 kwizart < kwizart at gmail.com > - 0.5.1-1.fc6
- Initial Release.
